<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="fert_theoretische_fehlmengen" pageWidth="595" pageHeight="842" columnWidth="535" leftMargin="30" rightMargin="30" topMargin="20" bottomMargin="20" uuid="716a3aba-3006-4f7c-843a-7681ca301f87">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="3.0"/>
	<property name="ireport.x" value="113"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
	</parameter>
	<parameter name="P_LOSNUMMER" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Los-Nr.]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_SORTIERUNG_WIE_IN_STKL_ERFASST" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_AUFTRAG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_PROJEKT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_PROJEKTBEREICH" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_LOS_UEBERMENGE_ERLAUBEN" class="java.lang.Boolean" isForPrompting="false"/>
	<field name="F_IDENT" class="java.lang.String">
		<fieldDescription><![CDATA[Ident]]></fieldDescription>
	</field>
	<field name="F_BEZEICHNUNG" class="java.lang.String">
		<fieldDescription><![CDATA[Bezeichnung]]></fieldDescription>
	</field>
	<field name="F_SOLLMENGE" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Menge Soll]]></fieldDescription>
	</field>
	<field name="F_VERFUEGBAR" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Verfuegbar]]></fieldDescription>
	</field>
	<field name="F_FEHLMENGE" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Fehlmenge]]></fieldDescription>
	</field>
	<field name="F_BESTELLT" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Bestellt]]></fieldDescription>
	</field>
	<field name="F_MOEGLICH" class="java.lang.Integer"/>
	<field name="F_LAGERSTAND" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Lagerstand]]></fieldDescription>
	</field>
	<field name="F_ZUSATZBEZEICHNUNG" class="java.lang.String">
		<fieldDescription><![CDATA[Zusatzbezeichnung]]></fieldDescription>
	</field>
	<field name="F_ISTMENGE" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Ausgegebene Menge = Istmenge]]></fieldDescription>
	</field>
	<field name="F_VERFUEGBARZUMTERMIN" class="java.math.BigDecimal">
		<fieldDescription><![CDATA[Verfügbar zum Zeitpunkt = Lagerstand - Fehlmengen zum Termin - Reservierungen zum Termin
Fehlmengen zum Termin = Summe der Fehlmengen aller Lose, deren Termin <= mein Produktionstermin  und die Losnummer kleiner als meine Losnummer sind
Reservierungen =  Summe der  Reservierungen, deren Liefertermin <= meinem Produktionsbeginn und die Losnummer kleiner als meine sind
Dazu gehört dann auch noch das BestelltZumTermin
D.h. Verfügbar zum Termin, was ist bis zum Produktionsbeginn noch am Lager verfügbar
Bestellt zum Termin, was wird bis zum Produktionsbeginn noch kommen]]></fieldDescription>
	</field>
	<field name="F_ARTIKELSPERREN" class="java.lang.String"/>
	<field name="F_ERSATZIDENT" class="java.lang.String"/>
	<field name="F_ERSATZBEZEICHNUNG" class="java.lang.String"/>
	<field name="F_ANGELEGT" class="java.util.Date"/>
	<field name="F_AUFTRAGNUMMER" class="java.lang.String"/>
	<field name="F_KOSTENSTELLENUMMER" class="java.lang.String"/>
	<field name="F_KUNDE" class="java.lang.String"/>
	<field name="F_LOSGROESSE" class="java.math.BigDecimal"/>
	<field name="F_LOSNUMMER" class="java.lang.String"/>
	<field name="F_PRODUKTIONSBEGINN" class="java.util.Date"/>
	<field name="F_STUECKLISTEBEZEICHNUNG" class="java.lang.String"/>
	<field name="F_STUECKLISTEZUSATZBEZEICHNUNG" class="java.lang.String"/>
	<field name="F_STUECKLISTENUMMER" class="java.lang.String"/>
	<field name="F_MENGENEINHEIT" class="java.lang.String"/>
	<field name="F_STUECKLISTEARTIKELKOMMENTAR" class="java.lang.String"/>
	<field name="F_STATUS" class="java.lang.String"/>
	<field name="F_SUBREPORT_BILDER" class="java.lang.Object"/>
	<field name="F_IN_FERTIGUNG" class="java.math.BigDecimal"/>
	<field name="F_LAGERBEWIRTSCHAFTET" class="java.lang.Boolean"/>
	<field name="F_I_SORT_AUS_STUECKLISTE" class="java.lang.Integer"/>
	<field name="F_BESTELLTZUMTERMIN" class="java.math.BigDecimal"/>
	<field name="F_KURZBEZEICHNUNG" class="java.lang.String"/>
	<field name="F_REFERENZNUMMER" class="java.lang.String"/>
	<field name="F_STUECKLISTEKURZBEZEICHNUNG" class="java.lang.String"/>
	<field name="F_STUECKLISTEREFERENZNUMMER" class="java.lang.String"/>
	<field name="F_ARTIKELREFERENZNUMMER" class="java.lang.String"/>
	<field name="ArtikelAnzahlAngeboten" class="java.lang.Long"/>
	<field name="ArtikelAnzahlAngefragt" class="java.lang.Long"/>
	<field name="F_RUESTMENGE" class="java.lang.Short"/>
	<variable name="V_MOEGLICH" class="java.lang.Integer" calculation="Lowest">
		<variableExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} ?
$F{F_MOEGLICH} :
null]]></variableExpression>
	</variable>
	<variable name="BestelltundFertigung" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$F{F_BESTELLT}.add($F{F_IN_FERTIGUNG})]]></variableExpression>
	</variable>
	<group name="Stkl">
		<groupExpression><![CDATA[$F{F_STUECKLISTENUMMER}]]></groupExpression>
		<groupHeader>
			<band height="29">
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
					<reportElement mode="Transparent" x="0" y="5" width="100" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="c434e0b7-994a-49ab-a67c-f5157e5f98cf"/>
					<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" markup="none">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{F_STUECKLISTENUMMER}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
					<reportElement positionType="Float" mode="Transparent" x="100" y="5" width="300" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="e96d1bd0-6c82-46fd-b280-c926ef23b20f"/>
					<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" markup="none">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{F_STUECKLISTEBEZEICHNUNG}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
					<reportElement positionType="Float" mode="Transparent" x="100" y="17" width="300" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="fdda9d93-21fd-48c9-ac38-7d2c3439b75b"/>
					<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" markup="none">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{F_STUECKLISTEZUSATZBEZEICHNUNG}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="5">
				<line>
					<reportElement x="0" y="0" width="535" height="1" uuid="a1da273d-5fa6-4b5b-b0cf-a81b3fa0693e"/>
				</line>
			</band>
		</groupFooter>
	</group>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="65" splitType="Stretch">
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="REPORT_INFORMATION" mode="Transparent" x="0" y="0" width="415" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="cb03b977-a81a-4349-a055-1ad063f452a3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{REPORT_INFORMATION}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="PAGE_NUMBER" mode="Transparent" x="415" y="0" width="100" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="fe0124d3-a7b0-407d-b5e5-6ffcd041a1e0"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + $V{PAGE_NUMBER} + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="false">
				<reportElement key="VON_PAGE_NUMBER" mode="Transparent" x="515" y="0" width="20" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="8799b061-18d5-46dd-8c7a-f25529cc52a6"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["" + $V{PAGE_NUMBER} + ""]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="Theoretische Fehlmengen" mode="Transparent" x="0" y="24" width="400" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="97931064-5c99-47a9-85f9-8d1a0a608ae3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Theoretische Fehlmengen "+
($P{P_LOSNUMMER} == null ? "" :
 "nur für Los Nr.: "+$P{P_LOSNUMMER})+
($P{P_AUFTRAG} == null ? "" :
 "für Auftrag Nr.: "+$P{P_AUFTRAG})+
($P{P_PROJEKT} == null ? "" :
 "für "+$P{P_PROJEKTBEREICH}+": "+$P{P_PROJEKT})]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement mode="Transparent" x="0" y="36" width="110" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="fedb1342-893e-46e8-9578-6cfc79deeef1">
					<printWhenExpression><![CDATA[$P{P_SORTIERUNG_WIE_IN_STKL_ERFASST}]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None" markup="none">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA["sortiert wie in Stückliste erfasst"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Los_Nr" mode="Transparent" x="0" y="50" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="a9e5f238-228d-41c1-b461-9bda650fb4aa"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Los Nr]]></text>
			</staticText>
			<staticText>
				<reportElement key="Los_Status" mode="Transparent" x="36" y="50" width="24" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="5e4f899e-781e-481e-8146-bca7e2e0e8a4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Status]]></text>
			</staticText>
			<staticText>
				<reportElement key="Ident" mode="Transparent" x="65" y="50" width="55" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="d714cd8d-2b55-42e7-81a2-d807dac1ed26"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[► Artikel]]></text>
			</staticText>
			<staticText>
				<reportElement key="Bezeichnung" mode="Transparent" x="120" y="50" width="98" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="672ee359-6357-4048-8d2d-b76b6fbd9a1a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Bezeichnung]]></text>
			</staticText>
			<staticText>
				<reportElement key="Ruestmenge" mode="Transparent" x="218" y="40" width="25" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="5cdb4600-430a-4bc9-8cef-c73b7034fc99"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Rüst-
menge]]></text>
			</staticText>
			<staticText>
				<reportElement key="Losgroesse" mode="Transparent" x="243" y="40" width="25" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="2759ff76-780a-492f-943b-7c7ed1750c50"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Los-
größe]]></text>
			</staticText>
			<staticText>
				<reportElement key="Sollmenge" mode="Transparent" x="268" y="40" width="25" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="90d823f5-af4e-4fa3-b497-fe477f469568"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Soll-
menge]]></text>
			</staticText>
			<staticText>
				<reportElement key="Istmenge" mode="Transparent" x="293" y="40" width="25" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="8eb6556a-05c4-4c90-be28-533eac4b22f4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Ist-
menge]]></text>
			</staticText>
			<staticText>
				<reportElement key="aktuelle Fehlmenge" mode="Transparent" x="318" y="40" width="25" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="c0ebbe19-8a8b-42d8-b309-dfc04b4c81fd"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[aktuelle
Fehlmng]]></text>
			</staticText>
			<staticText>
				<reportElement key="Lagerstand" mode="Transparent" x="343" y="40" width="25" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="db435a94-5d0f-448d-a0df-ecb1e045ddea"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Lager-
stand]]></text>
			</staticText>
			<staticText>
				<reportElement key="Verfügbar" mode="Transparent" x="368" y="40" width="33" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="aa163feb-b448-4059-ac0f-8343f55e06de"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Insgesamt
verfügbar]]></text>
			</staticText>
			<staticText>
				<reportElement key="Verfügbar Zum Termin" mode="Transparent" x="400" y="34" width="34" height="26" forecolor="#000000" backcolor="#FFFFFF" uuid="6ef77c7e-1b93-4016-bf1d-12320a8a7844"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[zum
Termin
verfügbar]]></text>
			</staticText>
			<staticText>
				<reportElement key="Fehlmenge" mode="Transparent" x="434" y="40" width="41" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="3b63344e-c53d-48e7-b52f-569461b6843e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[theoretische Fehlmenge]]></text>
			</staticText>
			<staticText>
				<reportElement key="Bestellt" mode="Transparent" x="475" y="40" width="30" height="20" forecolor="#000000" backcolor="#FFFFFF" uuid="f5f73eda-3d26-4ee1-9bb7-c3a1d164c3e1"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Bestellt
in Prod.]]></text>
			</staticText>
			<staticText>
				<reportElement key="Möglich" mode="Transparent" x="505" y="50" width="30" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="77963bbc-c368-4d61-a7cd-b1dcbe8ed2d8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Möglich]]></text>
			</staticText>
			<line>
				<reportElement key="line-1" mode="Opaque" x="0" y="61" width="535" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="9007b510-e4df-4a73-b699-16d9ef56b0a3"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
		</band>
	</pageHeader>
	<detail>
		<band height="31" splitType="Stretch">
			<rectangle>
				<reportElement key="Zebra Zuwenig" stretchType="RelativeToBandHeight" mode="Opaque" x="268" y="9" width="267" height="12" forecolor="#FFCCCC" backcolor="#FFCCCC" uuid="1cd22a45-5401-4a41-8348-54cdcfc1468a">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} && (
($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue()) > 0 &&
($F{F_VERFUEGBARZUMTERMIN}.doubleValue() +
 $V{BestelltundFertigung}.doubleValue()) <
($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue())
) &&
$F{ArtikelAnzahlAngefragt}.intValue() < 1]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<rectangle>
				<reportElement key="Zebra angefragt" stretchType="RelativeToBandHeight" mode="Opaque" x="268" y="9" width="267" height="12" forecolor="#FFA132" backcolor="#FFA132" uuid="4f44553c-f409-444e-9a25-f5bc896b0b30">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} && (
($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue()) > 0 &&
($F{F_VERFUEGBARZUMTERMIN}.doubleValue() +
 $V{BestelltundFertigung}.doubleValue()) <
($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue())
) &&
$F{ArtikelAnzahlAngefragt}.intValue() > 0 &&
$F{ArtikelAnzahlAngeboten}.intValue() == 0]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<rectangle>
				<reportElement key="Zebra angefragt&amp;angeboten" stretchType="RelativeToBandHeight" mode="Opaque" x="268" y="9" width="267" height="12" forecolor="#FFFF00" backcolor="#FFB865" uuid="5ccdffa3-fa9a-430f-b480-72f85d3c5ded">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} && (
($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue()) > 0 &&
($F{F_VERFUEGBARZUMTERMIN}.doubleValue() +
 $V{BestelltundFertigung}.doubleValue()) <
($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue())
) &&
$F{ArtikelAnzahlAngeboten}.intValue() > 0]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="3.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<rectangle>
				<reportElement key="Zebra Ausreichend bestellt" stretchType="RelativeToBandHeight" mode="Opaque" x="268" y="9" width="267" height="12" forecolor="#FFFF00" backcolor="#FFFF00" uuid="47206b37-8c2f-4068-9b39-e8ccc2c26834">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} && (
(($F{F_VERFUEGBARZUMTERMIN}.doubleValue() +
 $V{BestelltundFertigung}.doubleValue() ) >=
 ($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue()))
&&
($F{F_VERFUEGBARZUMTERMIN}.doubleValue() <
 ($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue()))
)]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<rectangle>
				<reportElement key="Zebra ausreichend lagernd" stretchType="RelativeToBandHeight" mode="Opaque" x="268" y="9" width="267" height="12" forecolor="#00FF00" backcolor="#00FF00" uuid="e2abe6e4-d171-4808-bac7-c1f7609a29dd">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} && (
$F{F_VERFUEGBARZUMTERMIN}.doubleValue() >=
($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue()) &&
($F{F_SOLLMENGE}.doubleValue() > $F{F_ISTMENGE}.doubleValue())
)]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<rectangle>
				<reportElement key="Zebra Ausreichend bestellt anhand jetzigem Lagerstand" stretchType="RelativeToBandHeight" mode="Opaque" x="475" y="9" width="30" height="12" forecolor="#FFFF00" backcolor="#FFFF00" uuid="314e6441-7cc4-49ac-b808-1ebeb52b66e1">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} && (
(($F{F_LAGERSTAND}.doubleValue() +
 $V{BestelltundFertigung}.doubleValue() ) >=
 ($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue()))
&&
($F{F_LAGERSTAND}.doubleValue() <
 ($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue()))
)]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<rectangle>
				<reportElement key="Zebra ausreichend anhand jetzigem lagerstand" stretchType="RelativeToBandHeight" mode="Opaque" x="343" y="9" width="25" height="12" forecolor="#00FF00" backcolor="#00FF00" uuid="9b4b1a80-5e47-4dad-944e-7ccc23432727">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} && (
$F{F_LAGERSTAND}.doubleValue() >=
($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue()) &&
($F{F_SOLLMENGE}.doubleValue() > $F{F_ISTMENGE}.doubleValue())
)]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<rectangle>
				<reportElement key="Zebra auch zum Termin zuwenig" stretchType="RelativeToBandHeight" mode="Opaque" x="401" y="9" width="33" height="12" forecolor="#FFCCCC" backcolor="#FFCCCC" uuid="56f3da06-2315-4341-8aeb-70c7052c9343">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} && (
($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue()) > 0 &&
($F{F_VERFUEGBARZUMTERMIN}.doubleValue() +
 $F{F_BESTELLTZUMTERMIN}.doubleValue()) <
($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue())
)]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<staticText>
				<reportElement key="Ersatz" mode="Transparent" x="65" y="0" width="35" height="9" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="c58763e7-17c1-4e07-b4f1-9d1da6472adf">
					<printWhenExpression><![CDATA[new Boolean($F{F_ERSATZIDENT}.trim().length() > 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Ersatz für:]]></text>
			</staticText>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false" hyperlinkType="GOTO">
				<reportElement key="F_IDENT_ori" mode="Transparent" x="100" y="0" width="55" height="9" forecolor="#000000" backcolor="#FFFFFF" uuid="1c13a47e-421a-4fc6-aa39-061eb8a1e8eb">
					<printWhenExpression><![CDATA[new Boolean($F{F_ERSATZIDENT}.trim().length() > 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_IDENT}]]></textFieldExpression>
				<hyperlinkTooltipExpression><![CDATA["Direkter Sprung zu: "+$F{F_IDENT}]]></hyperlinkTooltipExpression>
				<hyperlinkParameter name="WhereToGo">
					<hyperlinkParameterExpression><![CDATA[com.lp.util.GotoHelper.goto_ARTIKEL_AUSWAHL()]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
				<hyperlinkParameter name="Key">
					<hyperlinkParameterExpression><![CDATA[$F{F_IDENT}]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="Bezeichnung_ori" mode="Transparent" x="155" y="0" width="120" height="9" forecolor="#000000" backcolor="#FFFFFF" uuid="1e937621-5991-425d-8e19-c6e8548dd592">
					<printWhenExpression><![CDATA[new Boolean($F{F_ERSATZIDENT}.trim().length() > 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_BEZEICHNUNG}]]></textFieldExpression>
			</textField>
			<rectangle>
				<reportElement key="Zebra Zuwenig und in Produktion" stretchType="RelativeToBandHeight" mode="Opaque" x="0" y="9" width="65" height="12" forecolor="#FFCCCC" backcolor="#FFCCCC" uuid="fc30275c-3990-4bc2-a3c2-cd8d7d2e97d1">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} &&
$F{F_STATUS}.startsWith("In Produktion") &&
(($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue()) > 0 &&
 ($F{F_VERFUEGBARZUMTERMIN}.doubleValue() +
  $V{BestelltundFertigung}.doubleValue()) <
 ($F{F_SOLLMENGE}.doubleValue() - $F{F_ISTMENGE}.doubleValue())
)]]></printWhenExpression>
				</reportElement>
				<graphicElement>
					<pen lineWidth="0.0" lineStyle="Solid"/>
				</graphicElement>
			</rectangle>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Los_Nr" positionType="Float" x="0" y="9" width="50" height="12" isRemoveLineWhenBlank="true" uuid="dd67c2d5-04c1-4a42-9de2-f4015732b612"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_LOSNUMMER}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="Los_Status" positionType="Float" x="50" y="9" width="15" height="12" isRemoveLineWhenBlank="true" uuid="5a47510a-d8af-401d-91e6-9e6a092973ec"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_STATUS}.startsWith("Ausgegeben") ? "G" :
$F{F_STATUS}.substring(0,1)]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false" hyperlinkType="GOTO">
				<reportElement key="F_IDENT" isPrintRepeatedValues="false" mode="Transparent" x="65" y="9" width="55" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="c7bbbc37-df0b-4fdf-9949-a39e92d1b2b3">
					<printWhenExpression><![CDATA[new Boolean($F{F_ERSATZIDENT}.trim().length() == 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_IDENT}]]></textFieldExpression>
				<hyperlinkTooltipExpression><![CDATA["Direkter Sprung zu: "+$F{F_IDENT}]]></hyperlinkTooltipExpression>
				<hyperlinkParameter name="WhereToGo">
					<hyperlinkParameterExpression><![CDATA[com.lp.util.GotoHelper.goto_ARTIKEL_AUSWAHL()]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
				<hyperlinkParameter name="Key">
					<hyperlinkParameterExpression><![CDATA[$F{F_IDENT}]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="false">
				<reportElement key="F_BEZEICHNUNG" isPrintRepeatedValues="false" mode="Transparent" x="120" y="9" width="110" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="ef198e1e-1f8d-4ea5-80dc-6ccbadbf78a7">
					<printWhenExpression><![CDATA[new Boolean($F{F_ERSATZIDENT}.trim().length() == 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_BEZEICHNUNG}+
($F{F_ZUSATZBEZEICHNUNG}==null?"":"\n"+$F{F_ZUSATZBEZEICHNUNG})]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="F_ZUSATZBEZEICHNUNG" positionType="Float" isPrintRepeatedValues="false" mode="Transparent" x="120" y="21" width="120" height="9" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="09bc2f83-5897-4ce2-8d9f-85a53861bb86">
					<printWhenExpression><![CDATA[false]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ZUSATZBEZEICHNUNG}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="Losgroesse" positionType="Float" mode="Transparent" x="243" y="9" width="25" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="24323b33-7bde-4148-a559-e5e5d2e002f9"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_LOSGROESSE}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="Ruestmenge" positionType="Float" mode="Transparent" x="218" y="9" width="25" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="24323b33-7bde-4148-a559-e5e5d2e002f9"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{F_RUESTMENGE}==0?"":"√  ")]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="F_SOLLMENGE" positionType="Float" mode="Transparent" x="268" y="9" width="25" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="f8f69759-62d7-4829-821f-793eda4f6505">
					<printWhenExpression><![CDATA[$F{F_SOLLMENGE}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_SOLLMENGE}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="F_ISTMENGE" positionType="Float" mode="Transparent" x="293" y="9" width="25" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="b7f127d3-daac-4292-a84a-e2e7b6b93d9f">
					<printWhenExpression><![CDATA[$F{F_ISTMENGE}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ISTMENGE}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="aktuelle Fehlmenge" positionType="Float" mode="Transparent" x="318" y="9" width="25" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="cf765653-a686-4614-b8ce-b82825d57ac7">
					<printWhenExpression><![CDATA[($F{F_SOLLMENGE}.subtract($F{F_ISTMENGE})).compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_SOLLMENGE}.subtract($F{F_ISTMENGE})]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="F_LAGERSTAND" positionType="Float" mode="Transparent" x="343" y="9" width="25" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="7a7661f4-36c6-481a-96dd-5c220bcecc2b">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} &&
$F{F_LAGERSTAND}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_LAGERSTAND}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="NichtLagerBewirtschaftet" positionType="Float" mode="Transparent" x="343" y="9" width="25" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="525ace8e-dfe4-43ea-89c0-a145332146b2">
					<printWhenExpression><![CDATA[!$F{F_LAGERBEWIRTSCHAFTET}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["nLb"]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="F_VERFUEGBAR" positionType="Float" mode="Transparent" x="368" y="9" width="33" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="627f6a4e-0809-4bdd-849d-8f9f1d3c2920">
					<printWhenExpression><![CDATA[$F{F_VERFUEGBAR}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_VERFUEGBAR}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="F_VERFUEGBARZUMTERMIN" positionType="Float" mode="Transparent" x="401" y="9" width="33" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="96b0a76c-0400-4906-9326-04167bbad227">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET}]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_VERFUEGBARZUMTERMIN}.doubleValue() +
$F{F_BESTELLTZUMTERMIN}.doubleValue()]]></textFieldExpression>
			</textField>
			<textField pattern="dd.MM.yyyy" isBlankWhenNull="false">
				<reportElement key="Produktionsbeginn" positionType="Float" mode="Transparent" x="401" y="9" width="33" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="7a46780c-b474-48e5-a4d1-73a8e19c74b8">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET}
/*
$F{F_VERFUEGBARZUMTERMIN}.compareTo(BigDecimal.ZERO) != 0
*/]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Bottom" rotation="None">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_PRODUKTIONSBEGINN}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="F_FEHLMENGE" positionType="Float" mode="Transparent" x="434" y="9" width="41" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="e7f5bebe-a2e6-4e3a-a2b3-6b0765cba697">
					<printWhenExpression><![CDATA[$F{F_FEHLMENGE}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_FEHLMENGE}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="F_BESTELLT" positionType="Float" mode="Transparent" x="475" y="9" width="30" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="e87ea4c0-efbe-479e-b966-e4c385e120f4">
					<printWhenExpression><![CDATA[$V{BestelltundFertigung}.compareTo(BigDecimal.ZERO) != 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{BestelltundFertigung}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="F_MOEGLICH_nichts" positionType="Float" mode="Transparent" x="505" y="9" width="30" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="eda92bb0-f64e-4804-8275-f057566efced">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} &&
$F{F_MOEGLICH}.intValue() == 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["---"]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="F_MOEGLICH" positionType="Float" mode="Transparent" x="505" y="9" width="30" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="9de46a0e-9c74-48ef-84b1-5b271774d2ef">
					<printWhenExpression><![CDATA[$F{F_LAGERBEWIRTSCHAFTET} &&
$F{F_MOEGLICH}.intValue() != 0 &&
$F{F_MOEGLICH}.intValue() != $F{F_LOSGROESSE}.intValue()]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_MOEGLICH}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="F_MOEGLICH_Gesamt" positionType="Float" mode="Transparent" x="505" y="9" width="30" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="9e114618-9027-4761-8879-d4b77ab75d01">
					<printWhenExpression><![CDATA[!$F{F_LAGERBEWIRTSCHAFTET} ||
$F{F_MOEGLICH}.intValue() == $F{F_LOSGROESSE}.intValue()]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["√  "]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true" hyperlinkType="GOTO">
				<reportElement key="Ersatzident" positionType="Float" x="65" y="9" width="55" height="12" isRemoveLineWhenBlank="true" uuid="93ac22e6-3f5f-4901-b706-eec56d0de877"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ERSATZIDENT}]]></textFieldExpression>
				<hyperlinkTooltipExpression><![CDATA["Direkter Sprung zu: "+$F{F_ERSATZIDENT}]]></hyperlinkTooltipExpression>
				<hyperlinkParameter name="WhereToGo">
					<hyperlinkParameterExpression><![CDATA[com.lp.util.GotoHelper.goto_ARTIKEL_AUSWAHL()]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
				<hyperlinkParameter name="Key">
					<hyperlinkParameterExpression><![CDATA[$F{F_ERSATZIDENT}]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="ErsatzBezeichnung" positionType="Float" x="120" y="9" width="120" height="12" isRemoveLineWhenBlank="true" uuid="edab139e-a447-4c90-b8ac-4e405d9ab5e4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ERSATZBEZEICHNUNG}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement key="line-2" positionType="Float" mode="Opaque" x="0" y="30" width="535" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="91a8a8e0-c055-49f5-a5ab-a004d21b7113"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
		</band>
	</detail>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="24" splitType="Stretch">
			<staticText>
				<reportElement key="Produzierbare vollständige Baugruppen" mode="Transparent" x="0" y="2" width="185" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="718d7112-a6d4-43ba-9401-53bd9c4ab19a">
					<printWhenExpression><![CDATA[$P{P_LOSNUMMER} != null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Produzierbare vollständige Baugruppen: ]]></text>
			</staticText>
			<textField pattern="#,##0.0##;-#,##0.0##" isBlankWhenNull="false">
				<reportElement key="V__MOEGLICH" mode="Transparent" x="185" y="2" width="50" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="e37ccf08-939c-46e5-99f6-49519b2f8cc3">
					<printWhenExpression><![CDATA[$P{P_LOSNUMMER} != null]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{V_MOEGLICH}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Zu wenig" mode="Opaque" x="325" y="2" width="40" height="12" forecolor="#000000" backcolor="#FFCCCC" uuid="e3b2ae81-65f5-4ba3-87e6-f29a5ef53995"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[zu wenig]]></text>
			</staticText>
			<staticText>
				<reportElement key="angefragt" mode="Opaque" x="365" y="2" width="40" height="12" forecolor="#000000" backcolor="#FFA132" uuid="b4537e31-5536-4ed7-ba2b-0b8ea02108a8"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[angefragt]]></text>
			</staticText>
			<rectangle>
				<reportElement x="405" y="2" width="40" height="12" forecolor="#FFFF00" backcolor="#FFA132" uuid="b2d46a75-dc09-432b-bef5-1de87fd79b37"/>
				<graphicElement>
					<pen lineWidth="3.0"/>
				</graphicElement>
			</rectangle>
			<staticText>
				<reportElement key="angeboten" mode="Transparent" x="405" y="2" width="40" height="12" forecolor="#000000" backcolor="#FFB865" uuid="04cbe9b6-101d-4368-9fba-c564bdb7881c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[angeboten]]></text>
			</staticText>
			<staticText>
				<reportElement key="Bestellt" mode="Opaque" x="445" y="2" width="30" height="12" forecolor="#000000" backcolor="#FFFF00" uuid="10528782-e3d1-4ac2-9110-d7eb2c17c524"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[bestellt]]></text>
			</staticText>
			<staticText>
				<reportElement key="lagernd" mode="Opaque" x="475" y="2" width="60" height="12" forecolor="#000000" backcolor="#00FF00" uuid="f55d5cd1-76ea-43c4-ac38-d91784dbe06c"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None">
					<font fontName="Arial" size="7" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[verfügbar/lagernd]]></text>
			</staticText>
			<staticText>
				<reportElement key="Basis Lagerstand" mode="Transparent" x="235" y="2" width="90" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="d6a283ef-5a70-44cb-ae20-237ccbbbbcdd"/>
				<box rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Basis Lagerstand zum Beginn]]></text>
			</staticText>
			<staticText>
				<reportElement key="Stati" mode="Transparent" x="265" y="14" width="270" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="40fba640-3bc2-4279-b5a2-3cb95164420d"/>
				<box rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Los Stati: A ... Angelegt, G ... Ausgegeben,  I ... In Produktion, T ... Teilerledigt]]></text>
			</staticText>
			<staticText>
				<reportElement key="Stati" mode="Transparent" x="0" y="14" width="170" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="0485c4a6-5c3d-444e-9f08-f01879cff7d8"/>
				<box rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Insgesamt verfügbar: Das gilt für alle geplanten Bewegungen]]></text>
			</staticText>
			<staticText>
				<reportElement key="Stati" mode="Transparent" x="180" y="14" width="90" height="8" forecolor="#000000" backcolor="#FFFFFF" uuid="6ac39982-733a-4ac5-92c3-d0fad1525847"/>
				<box rightPadding="2">
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Middle" rotation="None" markup="none">
					<font fontName="Arial" size="6" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[nLb: nicht Lager bewirtschaftet]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
